GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_UPDATE(1)

NAME

gcloud deployment-manager deployments update - update a deployment based on a provided config file

SYNOPSIS

gcloud deployment-manager deployments update DEPLOYMENT_NAME [--async] [--config CONFIG] [--create-policy CREATE_POLICY; default="CREATE_OR_ACQUIRE"] [--delete-policy DELETE_POLICY; default="DELETE"] [--preview] [--properties [PROPERTIES,...]] [GLOBAL-FLAG ...]

DESCRIPTION
This command will update a deployment with the new config file provided. Different policies for create, update, and delete policies can be specified.

POSITIONAL ARGUMENTS
DEPLOYMENT_NAME
    Deployment name.

FLAGS
--async
    Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)
--config CONFIG
    Filename of config which specifies resources to deploy. Required unless launching an already-previewed update to this deployment.
--create-policy CREATE_POLICY; default="CREATE_OR_ACQUIRE"
    Create policy for resources that have changed in the update. Can be CREATE_OR_ACQUIRE (default) or ACQUIRE.
--delete-policy DELETE_POLICY; default="DELETE"
    Delete policy for resources that have changed in the update. Can be DELETE (default) or ABANDON.
--preview
    Preview the requested update without making any changes to theunderlying resources. (default=False)
--properties [PROPERTIES,...]
    A comma seperated, key=value, map to be used when deploying a template file directly.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To update an existing deployment with a new config file, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml
To preview an update to an existing deployment without actually modifying the resources, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --preview
To apply an update that has been previewed, provide the name of the previewed deployment, and no config file:
    $ gcloud deployment-manager deployments update my-deployment
To specify different create, update, or delete policies, include any subset of the following flags;
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --create-policy ACQUIRE \
        --delete-policy ABANDON
To perform an update without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments update my-deployment \
        --config new_config.yaml --async